Bug 101974 - crash after add new user
Summary: crash after add new user
Status: RESOLVED WORKSFORME
Alias: None
Product: kuser
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Szombathelyi György
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-20 12:37 UTC by Dmitry Voronin
Modified: 2005-04-14 23:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Voronin 2005-03-20 12:37:57 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Gentoo Packages
Compiler:          gcc version 3.4.3 20050110 (Gentoo Linux 3.4.3.20050110, ssp-3.4.3.20050110-0, pie-8.7.7) Configured with: /var/tmp/portage/gcc-3.4.3.20050110/work/gcc-3.4.3/configure --enable-version-specific-runtime-libs --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/3.4.3 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/3.4.3/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/3.4.3 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/3.4.3/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/3.4.3/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/3.4.3/include/g++-v3 --host=i686-pc-linux-gnu --disable-altivec --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-clocale=gnu --with-system-zlib --disable-checking --disable-werror --disable-libunwind-exceptions --enable-shared --enable-threads=posix --disable-multilib --disable-libgcj --enable-languages=c,c++,f77
Thread model: posix
OS:                Linux

From KDE Chash Handler

Backtrace:
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1230838096 (LWP 17632)]
0xffffe410 in ?? ()
#0  0xffffe410 in ?? ()
#1  0xbfffe730 in ?? ()
#2  0x00000000 in ?? ()
#3  0x00000000 in ?? ()
#4  0xb6c6f3c3 in __waitpid_nocancel () from /lib/libpthread.so.0
#5  0xb77d60c3 in KCrash::defaultCrashHandler ()
   from /usr/kde/3.4/lib/libkdecore.so.4
#6  0x081e9460 in ?? ()
#7  0x00000000 in ?? ()
#8  0x00000000 in ?? ()
#9  0xffffffff in ?? ()
#10 0xffffffff in ?? ()
#11 0x00000003 in ?? ()
#12 0x08218088 in ?? ()
#13 0x00000000 in ?? ()
#14 0x00000000 in ?? ()
#15 0x00004573 in ?? ()
#16 0x00000400 in ?? ()
#17 0x00000400 in ?? ()
#18 0x00000003 in ?? ()
#19 0x00000000 in ?? ()
#20 0x00000000 in ?? ()
#21 0x00000000 in ?? ()
#22 0x00000000 in ?? ()
#23 0xbfffd748 in ?? ()
#24 0xb71802a2 in QObject::event () from /usr/qt/3/lib/libqt-mt.so.3
Comment 1 Maksim Orlovich 2005-04-12 05:55:57 UTC
Hi... Could you please try applying: 
http://bugs.kde.org/attachment.cgi?id=10409&action=view
to see whether it fixes the issue?
Comment 2 Dmitry Voronin 2005-04-12 23:07:46 UTC
Hi.
When i installed kde-3.4 i just did following: emerge kde.
So can i take the source code of kuser program, apply your patch, build kuser and run it in my kde? 
If it is possible, give me please some additional instructions how do this.
Comment 3 Dmitry Voronin 2005-04-14 23:02:33 UTC
Hi, after applying patch (that appears in gentoo portage):
diff -Nur kdeadmin-3.4.0.orig/kuser/propdlg.cpp kdeadmin-3.4.0/kuser/propdlg.cpp
--- kdeadmin-3.4.0.orig/kuser/propdlg.cpp	2004-11-29 01:03:48.000000000 +0100
+++ kdeadmin-3.4.0/kuser/propdlg.cpp	2005-04-08 14:05:03.000000000 +0200

all crashes in kuser are fixed now, so you can close this bug, 10x for comments.